## com.bbn.openmap.proj
Class LLXYView

    java.lang.Object
      com.bbn.openmap.proj.Proj
          com.bbn.openmap.proj.Cylindrical
              com.bbn.openmap.proj.LLXY
                  com.bbn.openmap.proj.LLXYView

All Implemented Interfaces:
  java.lang.Cloneable, EqualArc, Projection, java.io.Serializable

public class LLXYView
extends LLXY

Implements the LLXY projection.

See Also:
  Serialized Form

Field Summary
`protected int` `dUSX`
`protected int` `dUSY` delta between U and S, X axis
`static java.lang.String` `LLXYViewName` The LLXY name.
`static int` `LLXYViewType` The LLXY type of projection.
`protected int` `sCtrX` Screen Origin in pixels (center=0,0)
`protected int` `sCtrY` Screen Origin in pixels (center=0,0)
`protected LatLonPoint` `uCtr` User-Space Center in lat/lon
`protected float` `uCtrLat`
`protected float` `uCtrLon`
`protected int` `uCtrX` User Origin in pixels 0,0 = lat/lon center
`protected int` `uCtrY`

Fields inherited from class com.bbn.openmap.proj.LLXY
`cLat, cLon, hy, LLXYName, LLXYType, ppd, wx`

Fields inherited from class com.bbn.openmap.proj.Cylindrical
`half_world, world`

Fields inherited from class com.bbn.openmap.proj.Proj
`ctrLat, ctrLon, DATELINE, height, maxscale, mercator, MIN_HEIGHT, MIN_WIDTH, minscale, NORTH_POLE, NUM_DEFAULT_CIRCLE_VERTS, NUM_DEFAULT_GREAT_SEGS, pixelsPerMeter, planetPixelCircumference, planetPixelRadius, planetRadius, projID, scale, scaled_radius, SOUTH_POLE, type, width, XSCALE_THRESHOLD, XTHRESHOLD`

Constructor Summary
`LLXYView(LatLonPoint center, float scale, int width, int height)` Construct a LLXY projection.

Method Summary
`protected void` `computeParameters()` Called when some fundamental parameters change.
`java.awt.Point` `forward(float lat, float lon, java.awt.Point p)` Forward projects a lat,lon coordinates.
`java.awt.Point` `forward(float lat, float lon, java.awt.Point p, boolean isRadian)` Forward projects lat,lon into XY space and returns a Point.
`java.awt.Point` `forward(LatLonPoint pt, java.awt.Point p)` Projects a point from Lat/Lon space to X/Y space.
`LatLonPoint` `inverse(int x, int y, LatLonPoint llp)` Inverse project x,y coordinates into a LatLonPoint.
`LatLonPoint` `inverse(java.awt.Point pt, LatLonPoint llp)` Inverse project a Point.
`java.lang.String` `toString()` Return stringified description of this projection.

Methods inherited from class com.bbn.openmap.proj.LLXY
`getName, getXPixConstant, getYPixConstant, isPlotable, normalize_latitude`

Methods inherited from class com.bbn.openmap.proj.Cylindrical
`_forwardPoly, drawBackground, drawBackground, dumpPoly, forwardRaw, getLowerRight, getUpperLeft, pan`

Methods inherited from class com.bbn.openmap.proj.Proj

`clone, doPolyDispatch, equals, forward, forward, forwardArc, forwardArc, forwardArc, forwardCircle, forwardCircle, forwardCircle, forwardGreatPoly, forwardLine, forwardLine, forwardPoly, forwardPoly, forwardRaster, forwardRect, forwardRect, forwardRect, forwardRhumbPoly, getCenter, getHeight, getMaxScale, getMinScale, getPlanetPixelCircumference, getPlanetPixelRadius, getPlanetRadius, getPPM, getProjectionID, getProjectionType, getScale, getScale, getWidth, hashCode, init, inverse, inverse, isComplicatedLineType, isPlotable, makeClone, pan, panE, panE, panN, panN, panNE, panNE, panNW, panNW, panS, panS, panSE, panSE, panSW, panSW, panW, panW, setCenter, setCenter, setHeight, setMaxScale, setMinScale, setParms, setPlanetRadius, setPPM, setProjectionID, setScale, setWidth, wrap_longitude`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.proj.Projection
`forward, forward, forwardArc, forwardCircle, forwardLine, forwardPoly, forwardRaster, forwardRaw, forwardRect, getCenter, getHeight, getLowerRight, getMaxScale, getMinScale, getProjectionID, getProjectionType, getScale, getScale, getUpperLeft, getWidth, inverse, inverse, isPlotable, makeClone, pan, pan`

Field Detail

### LLXYViewName

    public static final transient java.lang.String LLXYViewName

  The LLXY name.

  See Also:
    Constant Field Values

### LLXYViewType

    public static final transient int LLXYViewType

  The LLXY type of projection.

  See Also:
    Constant Field Values

### uCtr

    protected LatLonPoint uCtr

  User-Space Center in lat/lon

### uCtrLat

    protected float uCtrLat

### uCtrLon

    protected float uCtrLon

### sCtrX

    protected int sCtrX

  Screen Origin in pixels (center=0,0)

### sCtrY

    protected int sCtrY

  Screen Origin in pixels (center=0,0)

### uCtrX

    protected int uCtrX

  User Origin in pixels 0,0 = lat/lon center

### uCtrY

    protected int uCtrY

### dUSX

    protected int dUSX

### dUSY

    protected int dUSY

  delta between U and S, X axis

Constructor Detail

### LLXYView

    public LLXYView(LatLonPoint center,
                    float scale,
                    int width,
                    int height)

  Construct a LLXY projection.

Parameters:
  `center` - LatLonPoint center of projection
  `scale` - float scale of projection
  `width` - width of screen
  `height` - height of screen

Method Detail

### toString

    public java.lang.String toString()

  Return stringified description of this projection.

  Overrides:
    `toString` in class `LLXY`
  Returns:
    String
  See Also:
    `Projection.getProjectionID()`

### computeParameters

    protected void computeParameters()

  Called when some fundamental parameters change.

  Each projection will decide how to respond to this change. For instance, they may need to recalculate "constant" paramters used in the forward() and inverse() calls.

  Overrides:
    `computeParameters` in class `LLXY`

### forward

    public java.awt.Point forward(LatLonPoint pt,
                                  java.awt.Point p)

  Projects a point from Lat/Lon space to X/Y space.

  Specified by:
    `forward` in interface `Projection`
  Overrides:
    `forward` in class `LLXY`
  Parameters:
    `pt` - LatLonPoint
    `p` - Point retval
  Returns:
    Point p

### forward

    public java.awt.Point forward(float lat,
                                  float lon,
                                  java.awt.Point p)

  Forward projects a lat,lon coordinates.

  Specified by:
    `forward` in interface `Projection`
  Overrides:
    `forward` in class `LLXY`
  Parameters:
    `lat` - raw latitude in decimal degrees
    `lon` - raw longitude in decimal degrees
    `p` - Resulting XY Point
  Returns:
    Point p

### forward

    public java.awt.Point forward(float lat,
                                  float lon,
                                  java.awt.Point p,
                                  boolean isRadian)

  Forward projects lat,lon into XY space and returns a Point.

  Specified by:
    `forward` in interface `Projection`
  Overrides:
    `forward` in class `LLXY`
  Parameters:
    `lat` - float latitude in radians
    `lon` - float longitude in radians
    `p` - Resulting XY Point
    `isRadian` - bogus argument indicating that lat,lon arguments are in radians
  Returns:
    Point p

### inverse

    public LatLonPoint inverse(java.awt.Point pt,
                               LatLonPoint llp)

  Inverse project a Point.

  Specified by:
    `inverse` in interface `Projection`
  Overrides:
    `inverse` in class `LLXY`
  Parameters:
    `pt` - x,y Point
    `llp` - resulting LatLonPoint
  Returns:
    LatLonPoint llp

### inverse

    public LatLonPoint inverse(int x,
                               int y,
                               LatLonPoint llp)

  Inverse project x,y coordinates into a LatLonPoint.

  Specified by:
    `inverse` in interface `Projection`
  Overrides:
    `inverse` in class `LLXY`
  Parameters:
    `x` - integer x coordinate
    `y` - integer y coordinate
    `llp` - LatLonPoint
  Returns:
    LatLonPoint llp
  See Also:
    `Proj.inverse(Point)`

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details